Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.common.commands
Enum CommandLine.PARAMETER_TYPES

    java.lang.Object
      java.lang.Enum<CommandLine.PARAMETER_TYPES>
          things.common.commands.CommandLine.PARAMETER_TYPES

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CommandLine.PARAMETER_TYPES>

Enclosing class:
  CommandLine

    public static enum CommandLine.PARAMETER_TYPES

extends java.lang.Enum<CommandLine.PARAMETER_TYPES>

Enum Constant Summary
`ENTITY` An entity.
`OPTION` An option.
`VALUE` A value gviven as a name/value pair.

Method Summary
`static CommandLine.PARAMETER_TYPES` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CommandLine.PARAMETER_TYPES[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VALUE

    public static final CommandLine.PARAMETER_TYPES VALUE

  A value gviven as a name/value pair.

### ENTITY

    public static final CommandLine.PARAMETER_TYPES ENTITY

  An entity. It is an unnamed, ordered value.

### OPTION

    public static final CommandLine.PARAMETER_TYPES OPTION

  An option. It is a single character that is either present or not present.

Method Detail

### values

    public static CommandLine.PARAMETER_TYPES[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CommandLine.PARAMETER_TYPES c : CommandLine.PARAMETER_TYPES.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CommandLine.PARAMETER_TYPES valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.